{
    onResidualOrder: 5,
    onResidualSubOrder: 3,
    onResidual(pokemon) {
        for (const allyActive of pokemon.adjacentAllies()) {
            if (allyActive.status && this.randomChance(3, 10)) {
                this.add("-activate", pokemon, "ability: Healer");
                allyActive.cureStatus();
            }
        }
    },
    onAfterMoveSecondarySelf(pokemon, target, move) {
        if (move.flags['heal'] && move.id !== 'rest') {
            if (pokemon.status) {
                pokemon.cureStatus();
                this.add('-curestatus', pokemon, pokemon.status, '[from] ability: Healer');
            }
        }
    },
    flags: {},
    name: "Healer",
    rating: 0,
    num: 131
}
